Перейти к содержанию

ISL

Клуб разработчиков
  • Публикаций

    385
  • Зарегистрирован

  • Посещение

  • Победитель дней

    4

ISL стал победителем дня 7 мая 2012

ISL имел наиболее популярный контент!

Репутация

9 Обычный

Информация о ISL

  • Звание
    Клуб разработчиков

Контакты

  • Сайт
    http://developer.nanocad.ru
  • ICQ
    0

Информация

  • Пол
    Мужчина
  • Город
    Москва
  • Интересы
    Разработка САПР

Посетители профиля

9 439 просмотров профиля
  1. > для отладки к проекту присоединен проект -exe, для того чтобы прогонять основной код построчно. При отладке таким .exe служит сам nanoCAD, ncad.exe. В отдельно стоящий .exe файл модули, зависящие от hostdbmgd.dll и hostmgd.dll загрузить не так просто, да и незачем. Эти модули зависят от других модулей nanoCAD-а, а если грузить их все, то и придём к ncad.exe. Самый простой способ добавить ncad.exe в решение (solution), это открыть этот файл как проект.
  2. Если что-то не работает – присылайте код.
  3. Режим выбора :L действительно не реализован. Поднял приоритет задачи.
  4. Реальность, она всегда посложней любой модели будет. Отсутствие поддержки некоторых элементов не означает, что нет поддержки DCL. Присылайте конкретные примеры, поставим в план развития.
  5. Лицензии 11.0 подходят для 11.x, также на них запустятся все предыдущие версии 10.х, 8.х и т.д. Аналогично, лицензии 20.0 подходят для 20.x, также на них запустятся все предыдущие версии 11.х, 10.х, 8.х и т.д. > На версию вверх и на версию вниз так же подходит (пробовали) а вот прочие случаи это смотреть надо. Это высказывание, вообще говоря, неверно. Если за версию считать в том числе и минорные (как 11.0 и 11.1), то в каких-то случаях может случайно оказаться верным.
  6. Не смотрели nanoCAD Plus 20? Если раз за разом возвращаться к версии 5, то и результат будет тем же.
  7. Скрипты из OutScripts не предназначены для запуска из редактора скриптов, а также командами JS и VBS. Они получают объект приложения через внешний nanoCAD.Application. Попробуйте, эксперимента ради, зарегистрировать nanoCAD.Application на какую-либо другую версию nanoCAD-а при помощи ncad.exe /register. Скрипт будет запущен в исходном nanoCAD-е, но запустится второй и запросы к пользователю будут там и звезда будет создана там же. Внешние скрипты всё же лучше использовать штатно, запускать при помощи cscript.exe. А ThisDrawing во внешних скриптах в примерах SDK поправим, спасибо, действительно, весьма неочевидный момент.
  8. > Но, я наивно полагал, что при "удалении из пользовательского интерфейса" вот такие сообщения уже не могут появится. Видимо ошибался. Это мы недоглядели. Поправим в следующей версии.
  9. В базовую комплектацию Plus входит часть модуля "Облака точек", не требующая отдельной лицензии. Сравните содержимое меню/ленты с включённой и отключённой галочкой, оно отличается.
  10. В настоящее время Model Studio CS выпущен только на nanoCAD Plus 8.5, а там только ACIS. Внутренние сборки Model Studio CS на платформе nanoCAD 10.x работают на любом из ядер.
  11. Model Studio CS на платформе nanoCAD требует наличия модуля "3D Моделирование". Так что модуль нужно будет закупить.
  12. llist(); echo("-------------------------"); // A4 -> A(4), это переименование работает for_each(ThisDrawing.Layouts, function (layout) { res = layout.Name.match(/(A)([0-9]+)/); if (res != null) layout.Name = res[1] + "(" + res[2] + ")"; }); llist(); echo("-------------------------"); // A(4) -> A_4_, а это переименование вызывает рассинхронизацию словаря листов и итератора по листам // for_each(ThisDrawing.Layouts, function (layout) { res = layout.Name.replace(/[\(\)]/gim, '_'); if (res != layout.Name) layout.Name = res; }); // поэтому, сперва запоминаем что будем переименовывать, а потом переименовываем var reps = []; for_each(ThisDrawing.Layouts, function (layout) { res = layout.Name.replace(/[\(\)]/gim, '_'); if (res != layout.Name) reps[layout.Name] = res; }); for (var n in reps) ThisDrawing.Layouts(n).Name = reps[n]; llist(); function llist() { for_each(ThisDrawing.Layouts, function (l) { echo(l.Name); }); } function for_each(col, fn) { for (var enu = new Enumerator(col) ; !enu.atEnd() ; enu.moveNext()) fn(enu.item()); } function echo(msg) {ThisDrawing.Utility.Prompt(msg);}
×
×
  • Создать...